From 5a9731dcc2e6fb8afaf856e674e587a0edb731ad Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Tue, 6 Sep 2022 12:13:49 -0700
Subject: [PATCH v13 07/20] meson: prereq: port: Include c.h instead of
 postgres.h in *p{read,write}*.c

This is part of the meson series as otherwise these files need an unnecessary
dependency on errcodes.h.
---
 src/port/preadv.c      | 2 +-
 src/port/pwritev.c     | 2 +-
 src/port/win32pread.c  | 2 +-
 src/port/win32pwrite.c | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/port/preadv.c b/src/port/preadv.c
index 48b64d4593d..188e10f0652 100644
--- a/src/port/preadv.c
+++ b/src/port/preadv.c
@@ -12,7 +12,7 @@
  */
 
 
-#include "postgres.h"
+#include "c.h"
 
 #include <unistd.h>
 
diff --git a/src/port/pwritev.c b/src/port/pwritev.c
index 8b303fcbcdc..de9b7e4e3d3 100644
--- a/src/port/pwritev.c
+++ b/src/port/pwritev.c
@@ -12,7 +12,7 @@
  */
 
 
-#include "postgres.h"
+#include "c.h"
 
 #include <unistd.h>
 
diff --git a/src/port/win32pread.c b/src/port/win32pread.c
index 7058c3460b5..ebcdd337569 100644
--- a/src/port/win32pread.c
+++ b/src/port/win32pread.c
@@ -12,7 +12,7 @@
  */
 
 
-#include "postgres.h"
+#include "c.h"
 
 #include <windows.h>
 
diff --git a/src/port/win32pwrite.c b/src/port/win32pwrite.c
index 455cec4a747..7f2e62e8a78 100644
--- a/src/port/win32pwrite.c
+++ b/src/port/win32pwrite.c
@@ -12,7 +12,7 @@
  */
 
 
-#include "postgres.h"
+#include "c.h"
 
 #include <windows.h>
 
-- 
2.37.3.542.gdd3f6c4cae

